using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyDataModels.Models.OperatorModels;
using TravelCompanyDataModels.Models.TouristModels;

namespace TravelCompanyContracts.ViewModels.TouristViewModels
{
    public class ExcursionViewModel : IExcursionModel
    {
        public int Id { get; set; }
        [DisplayName("Название экскурсии")]
        public string ExcursionName { get; set; } = string.Empty;
        [DisplayName("Описание экскурсии")]
        public string ExcursionDescrition { get; set; } = string.Empty;
        [DisplayName("Длительность экскурсии")]
        public int Duration { get; set; }
        public int TouristId { get; set; }
        public Dictionary<int, IGuideModel> GuideExcursions
        {
            get;
            set;
        } = new();
    }
}
